import { useSanityVisualEditingState } from "../composables/useSanityVisualEditingState.js";
import useSanityClient from "../utils/useSanityClient.js";
import { defineNuxtPlugin, useRuntimeConfig } from "#imports";
export default defineNuxtPlugin(() => {
  if (!useSanityVisualEditingState().enabled) return;
  const $config = useRuntimeConfig();
  const { visualEditing } = $config.public.sanity;
  switch (visualEditing?.mode) {
    case "live-visual-editing":
    case "visual-editing":
      import("../utils/visualEditing/enableVisualEditing.js").then(({ enableVisualEditing }) => enableVisualEditing({
        refresh: visualEditing?.refresh,
        zIndex: visualEditing?.zIndex
      }));
      if (visualEditing?.mode === "live-visual-editing") {
        useSanityClient(true, "default", $config.public.sanity).then((client) => {
          client.queryStore?.enableLiveMode({ client: client.client });
        });
      }
      break;
  }
});
